Analytics
Get Search Console countries and devices
Clicks and impressions by country (limited) and by device, with their change versus the previous period. Live Google read for the inclusive start..end range (at most the configured maximum, 486 days by default; end at most today in UTC). May refresh the site’s Google access token. Charged to the analytics rate budget.
GET
/
profiles
/
{profile_id}
/
search-console
/
countries-devices
Error
A valid request URL is required to generate request examples{
"data": {
"period": {
"start": "2023-12-25",
"end": "2023-12-25"
},
"comparison_period": {
"start": "2023-12-25",
"end": "2023-12-25"
},
"countries": [
{
"country_code": "<string>",
"clicks": 123,
"impressions": 123,
"clicks_change_percent": 123,
"impressions_change_percent": 123
}
],
"devices": [
{
"device": "<string>",
"clicks": 123,
"impressions": 123,
"clicks_change_percent": 123,
"impressions_change_percent": 123
}
]
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pagination": {
"limit": 50,
"has_more": true,
"next_cursor": "<string>"
},
"catalog": {
"available_count": 1,
"enriched_count": 1,
"truncated": true
}
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}Authorizations
OAuth2PersonalAPIKey
Path Parameters
Query Parameters
⌘I
Error
A valid request URL is required to generate request examples{
"data": {
"period": {
"start": "2023-12-25",
"end": "2023-12-25"
},
"comparison_period": {
"start": "2023-12-25",
"end": "2023-12-25"
},
"countries": [
{
"country_code": "<string>",
"clicks": 123,
"impressions": 123,
"clicks_change_percent": 123,
"impressions_change_percent": 123
}
],
"devices": [
{
"device": "<string>",
"clicks": 123,
"impressions": 123,
"clicks_change_percent": 123,
"impressions_change_percent": 123
}
]
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pagination": {
"limit": 50,
"has_more": true,
"next_cursor": "<string>"
},
"catalog": {
"available_count": 1,
"enriched_count": 1,
"truncated": true
}
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}
